package com.ghy.goods.mapper;

import com.ghy.goods.domain.GoodsImgs;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author clunt
 * 商品图片mapper层
 */
public interface GoodsImgsMapper {

    /**
     * 查询符合条件的图片信息
     *
     * @param goodsImgs 条件
     * @return 图片信息列表
     */
    List<GoodsImgs> qryGoodsImgs(GoodsImgs goodsImgs);

    /**
     * 批量插入商品图片
     *
     * @param goodsImgs 商品图片信息
     * @return 成功条数
     */
    int batchInsert(@Param("goodsImgs") List<GoodsImgs> goodsImgs);

    /**
     * 批量修改商品图片
     *
     * @param goodsImgs 商品图片信息
     * @return 成功条数
     */
    int batchUpdate(Collection<GoodsImgs> goodsImgs);

    /**
     * 批量删除商品图片
     *
     * @param ids 商品图片ID
     * @return 成功条数
     */
    int delete(Collection<Long> ids);

    /**
     * 通过商品ID查询图片
     *
     * @param goodsId 商品ID
     * @return 商品的所有图片信息
     */
    List<GoodsImgs> selectByGoodsId(@Param("goodsId") Long goodsId);

    /**
     * 通过商品ID删除商品图片信息
     *
     * @param goodsId 商品ID
     * @return
     */
    int deleteByGoodsId(Long goodsId);
}
